/*2:*/
#line 31 "wretch.w"

#include "config.h"                   

#define REVDATE "26th February 2001" \

#define TRUE 1
#define FALSE 0
#define LINELEN 72 \

#define ASCII_TAB 9
#define ASCII_LINE_FEED 10
#define ASCII_CARRIAGE_RETURN 13
#define ASCII_SPACE 32
#define ASCII_0 48
#define ASCII_EQUAL_SIGN 61
#define ASCII_A 65
#define ASCII_LOWER_CASE_A 97 \
 \


#line 34 "wretch.w"


/*4:*/
#line 60 "wretch.w"

#include <stdio.h> 
#include <stdlib.h> 
#include <ctype.h> 
#ifdef HAVE_STRING_H
#include <string.h> 
#else
#ifdef HAVE_STRINGS_H
#include <strings.h> 
#endif
#endif

/*:4*/
#line 36 "wretch.w"

/*5:*/
#line 75 "wretch.w"

#ifdef _WIN32
#define FORCE_BINARY_IO
#endif

/*:5*/
#line 37 "wretch.w"

/*6:*/
#line 84 "wretch.w"

typedef unsigned char byte;

static FILE*fo;

/*:6*/
#line 38 "wretch.w"


/*:2*//*10:*/
#line 124 "wretch.w"


static char*verne_test_text[]= {
"Des récipients solidement assujettis étaient destinés à contenir l'eau",
"et les vivres nécessaires aux trois voyageurs; ceux-ci pouvaient même",
"se procurer le feu et la lumière au moyen de gaz emmagasiné dans un",
"récipient spécial sous une pression de plusieurs atmosphères.  Il",
"suffisait de tourner un robinet, et pendant six jours ce gaz devait",
"éclairer et chauffer ce confortable véhicule.  On le voit, rien ne",
"manquait des choses essentielles à la vie et même au bien-être.  De",
"plus, grâce aux instincts de Michel Ardan, l'agréable vint se joindre",
"à l'utile sous la forme d'objets d'art; il eût fait de son projectile",
"un véritable atelier d'artiste, si l'espace ne lui eût pas manqué.  Du",
"reste, on se tromperait en supposant que trois personnes dussent se",
"trouver à l'étroit dans cette tour de métal.  Elle avait une surface",
"de cinquante-quatre pieds carrés à peu près sur dix pieds de hauteur,",
"ce qui permettait à ses hôtes une certaine liberté de mouvement.  Ils",
"n'eussent pas été aussi à leur aise dans le plus confortable wagon des",
"États-Unis.",
NULL
};

/*:10*//*14:*/
#line 187 "wretch.w"

static void emit_selected_end_of_line_sequence(int which)
{
switch(which){
case 0:
/*13:*/
#line 177 "wretch.w"

putc(ASCII_CARRIAGE_RETURN,fo);
putc(ASCII_LINE_FEED,fo);

/*:13*/
#line 192 "wretch.w"
;
break;

case 1:
putc(ASCII_LINE_FEED,fo);
putc(ASCII_CARRIAGE_RETURN,fo);
break;

case 2:
putc(ASCII_CARRIAGE_RETURN,fo);
break;

case 3:
putc(ASCII_LINE_FEED,fo);
break;
}
}

/*:14*//*17:*/
#line 236 "wretch.w"


int main(int argc,char*argv[])
{
int i,j;

fo= fopen("wretch.bin",
#ifdef FORCE_BINARY_IO
"wb"
#else
"w"
#endif
);

/*8:*/
#line 98 "wretch.w"

for(i= 0;i<256;i++){
putc(i,fo);
}

/*:8*/
#line 250 "wretch.w"
;
/*9:*/
#line 111 "wretch.w"

for(i= 0;i<256;i++){
for(j= 0;j<=i;j++){
putc(j,fo);
}
/*13:*/
#line 177 "wretch.w"

putc(ASCII_CARRIAGE_RETURN,fo);
putc(ASCII_LINE_FEED,fo);

/*:13*/
#line 116 "wretch.w"
;
}

/*:9*/
#line 251 "wretch.w"
;
/*11:*/
#line 151 "wretch.w"

for(i= 0;verne_test_text[i]!=NULL;i++){
fputs(verne_test_text[i],fo);
/*13:*/
#line 177 "wretch.w"

putc(ASCII_CARRIAGE_RETURN,fo);
putc(ASCII_LINE_FEED,fo);

/*:13*/
#line 154 "wretch.w"
;
}

/*:11*/
#line 252 "wretch.w"
;
/*12:*/
#line 162 "wretch.w"

for(i= 0;verne_test_text[i]!=NULL;i++){
fputs(verne_test_text[i],fo);
if(verne_test_text[i+1]==NULL){
/*13:*/
#line 177 "wretch.w"

putc(ASCII_CARRIAGE_RETURN,fo);
putc(ASCII_LINE_FEED,fo);

/*:13*/
#line 166 "wretch.w"
;
}else{

fputc((i&1)?ASCII_SPACE:ASCII_TAB,fo);
}
}

/*:12*/
#line 253 "wretch.w"
;
/*15:*/
#line 216 "wretch.w"

for(i= 0;verne_test_text[i]!=NULL;i++){
fputs(verne_test_text[i],fo);
emit_selected_end_of_line_sequence(i&3);
}

/*:15*/
#line 254 "wretch.w"
;
/*16:*/
#line 226 "wretch.w"

for(i= 0;i<=3;i++){
for(j= 0;j<=3;j++){
emit_selected_end_of_line_sequence(i);
emit_selected_end_of_line_sequence(j);
}
}

/*:16*/
#line 255 "wretch.w"
;

return 0;
}

/*:17*/
